using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class ElvenBedEastAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new ElvenBedEastAddonDeed();
			}
		}

		[ Constructable ]
		public ElvenBedEastAddon()
		{
			AddComponent( new AddonComponent( 12365 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 12364 ), 1, 0, 0 );
			AddonComponent ac = null;

		}

		public ElvenBedEastAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class ElvenBedEastAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new ElvenBedEastAddon();
			}
		}

		[Constructable]
		public ElvenBedEastAddonDeed()
		{
			Name = "Elven Bed";
		}

		public ElvenBedEastAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}