using System;

namespace Server.Items
{
	[Furniture]
	[Flipable(0x2FB6, 0x2FF4)]
	public class ParrotPerch : Item
	{
		[Constructable]
		public ParrotPerch() : base(0x2FB6)
		{
			Weight = 0.0;
		}

		public ParrotPerch(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();

			if ( Weight == 8.0 )
				Weight = 10.0;
		}
	}
}

